ELFDUMP(1)

NAME
elfdump - display information about ELF files

SYNOPSIS
elfdump -a | -cdeGhinprs [-w file] file

DESCRIPTION
The elfdump utility dumps various information about the specified ELF file.

The options are as follows:

-a  Dump all information.

-c  Dump shared headers.

-d  Dump dynamic symbols.

-e  Dump ELF header.

-G  Dump the GOT.

-h  Dump the hash values.

-i  Dump the dynamic interpreter.

-n  Dump note sections.

-p  Dump the program header.

-r  Dump relocations.

-s  Dump the symbol table.

-w file
    Write output to a file instead of the standard output.

EXIT STATUS

EXAMPLES
The following is an example of a typical usage of the elfdump command:

    elfdump -a -w output /bin/ls

SEE ALSO
objdump(1), readelf(1) AT&T Unix Systems Labs, System V Application Binary Interface, http://www.sco.com/developers/gabi/.

HISTORY
The elfdump utility first appeared in FreeBSD 5.0.

AUTHORS
-nosplit The elfdump utility was written by Jake Burkholder <jake@FreeBSD.org>. This manual page was written by David O'Brien <obrien@FreeBSD.org>.

BUGS
Does not fully implement the ELF gABI.